<script>
  import { pageSelect } from "src/localdb/pageselect.js";
  import GooglePlace from "src/components/googlemap/googleplace.svelte";

  let selectPageName = "";
  export let placeSearch = {};

  pageSelect.subscribe(pageselect => {
    selectPageName = pageselect;
  });

  let activeBurger = false;

  function dispatchBurger() {
    activeBurger = false;
  }
</script>

<style>

</style>

<nav
  class="fixed z-30 w-full bg-white top-0 flex flex-wrap items-center
  justify-between px-2 py-5 navbar-expand-lg shadow-lg">
  <div class="w-full px-4 flex flex-wrap items-center justify-between">
    <div
      class="w-full relative flex justify-between lg:w-auto lg:static lg:block
      lg:justify-start">
      <p class="font-bold">UDRU Navigation Info</p>
      <button
        on:click={() => {
          activeBurger = !activeBurger;
        }}
        class="cursor-pointer text-xl leading-none px-3 py-1 border border-solid
        border-transparent rounded bg-transparent block lg:hidden outline-none
        focus:outline-none"
        type="button">
        {#if activeBurger}
          <i class="fas fa-times text-gray-500" />
          {:else}
          <i class="fas fa-bars text-gray-500" />
        {/if}

      </button>
    </div>
    <div
      class="lg:flex justify-end flex-grow flex"
      class:flex={activeBurger}
      class:hidden={!activeBurger}
      id="example-navbar-danger">
      <div
        class="relative xl:pt-0 lg:pt-0 pt-5 sm:pt-5 md:pt-5 xs:w-full sm:w-full
        md:w-full xl:w-6/12 lg:w-6/12 flex w-full flex-wrap items-stretch">
        <GooglePlace
          styleClass="rounded-full px-3 py-4 bg-gray-200 placeholder-gray-600
          text-gray-900 relative bg-white bg-white rounded text-base shadow
          outline-none focus:outline-none focus:shadow-outline w-full pr-10
          bg-gray-200"
          aria-label="search input"
          bind:value={placeSearch}
          placeholder="ค้นหาสถานที่"
          apiKey="AIzaSyAYb97AqAaPM_xNi93SAdcPdqi3miOy0sg" />
        <span
          class="z-10 h-full leading-snug font-normal absolute text-center
          text-gray-400 absolute bg-transparent rounded text-lg items-center
          justify-center w-8 right-0 pr-3 py-4">
          <svg
            class="h-5"
            xmlns="http://www.w3.org/2000/svg"
            version="1.1"
            viewBox="-1 0 136 136.21852">
            <g>
              <g id="surface1">
                <path
                  d="M 93.148438 80.832031 C 109.5 57.742188 104.03125 25.769531
                  80.941406 9.421875 C 57.851562 -6.925781 25.878906 -1.460938
                  9.53125 21.632812 C -6.816406 44.722656 -1.351562 76.691406
                  21.742188 93.039062 C 38.222656 104.707031 60.011719
                  105.605469 77.394531 95.339844 L 115.164062 132.882812 C
                  119.242188 137.175781 126.027344 137.347656 130.320312
                  133.269531 C 134.613281 129.195312 134.785156 122.410156
                  130.710938 118.117188 C 130.582031 117.980469 130.457031
                  117.855469 130.320312 117.726562 Z M 51.308594 84.332031 C
                  33.0625 84.335938 18.269531 69.554688 18.257812 51.308594 C
                  18.253906 33.0625 33.035156 18.269531 51.285156 18.261719 C
                  69.507812 18.253906 84.292969 33.011719 84.328125 51.234375 C
                  84.359375 69.484375 69.585938 84.300781 51.332031 84.332031 C
                  51.324219 84.332031 51.320312 84.332031 51.308594 84.332031 Z
                  M 51.308594 84.332031 "
                  data-original="#000000"
                  class="hovered-path active-path"
                  data-old_color="#000000"
                  fill="#B1C0CB" />
              </g>
            </g>
          </svg>
        </span>
      </div>
      <!-- <div>
        <p class="flex content-center flex-wrap pr-4 font-bold text-red-600">
          ค้นหา
        </p>
        <GooglePlace
          styleClass="focus:border-theme-300 placeholder-gray-600 rounded-lg
          bg-gray-200 py-2 px-2 block appearance-none leading-normal ds-input
          sm:w-full md:w-full lg:w-6/12 w-full"
          aria-label="search input"
          bind:value={placeSearch}
          placeholder="ค้นหาสถานที่"
          apiKey="AIzaSyAYb97AqAaPM_xNi93SAdcPdqi3miOy0sg" />
      </div> -->

    </div>
  </div>
</nav>
